package types

import "git.akyoto.dev/cli/q/src/token"

// NewList generates a list of types from comma separated tokens.
func NewList(tokens token.List, source []byte) []Type {
	var list []Type

	tokens.Split(func(parameter token.List) error {
		typ := New(parameter.Text(source))
		list = append(list, typ)
		return nil
	})

	return list
}
